/*--
    File idh-dtp.css
	Date: 25.09.2020
	Styles for the DESKTOP version
	Breaks at 950 px 
	Below 768 px --> MOBILE version
--*/
* {
  box-sizing:border-box;
}

h1, h2, h3 {font-family:Verdana, Arial, sans-serif; font-weight:700; color:brown}  
h1 {font-size:1.5em; margin-top:0.5em; line-height:1.5em; margin-bottom:0.5em;}   
h2 {font-size:1.4em; margin-bottom:0.5em; line-height:1.0em} 
h3 {font-size:1.2em; margin-bottom:0.5em;}


@media screen and (max-width: 950px) {
h1 {font-size:1.5em; margin-top:1%; line-height:1.5em}   
}

html, body {
	margin: 0;
	padding: 0;
	width: 100%;
	height: 100%;
	background: #f6f6f6; 
	font-family:Verdana, Arial, sans-serif;
}

#container {
	margin: 0.5% auto; 
	padding: 0 5px;
	max-width: 1024px;  /*-- In the old layout it has been 1018px. Check box-sizing:border-box; --*/
	overflow: auto;
	overflow-x: hidden; /*-- This became necessary when applying alernative "desktop" and "mobile" - versions for TOCs --*/
	background: white;
	font-size: 1em !important;					/*-- 100% = 1em = 16px  --*/
	line-height: 1.4em !important;
	border: 1px solid rgba(103,103,103,0.5);
	-webkit-border-radius: 3px;
	 -moz-border-radius: 3px;
	 -o-border-radius: 3px;
	 -ms-border-radius: 3px;
	 -khtml-border-radius: 3px;
	 border-radius: 3px;
	 -webkit-box-shadow: 2px 3px 2px 0 rgba(0, 0, 0, 0.25);
	 -moz-box-shadow: 2px 3px 2px 0 rgba(0, 0, 0, 0.25);
	 box-shadow: 2px 3px 2px 0 rgba(0, 0, 0, 0.25), 1px 1px 2px 0 rgba(0, 0, 0, 0.25) inset;
}

/*-- SKIP TO CONTENT --*/
.skip-link {
  position: fixed;
  top: -200px;
  background: #770654;
  color: #fff;
  text-decoration: none;
  padding: 10px;
  display: inline-block;
  
  &:focus {
    top: 0;
  }
}
#content {
  padding: 0em 0em;
}

#content:target {
  animation: highlight 0.75s ease-out;
}

p {
  font-size: 1.2em;
  line-height: 1.4;
}

p + p {
  margin-top: 2em;
}

@keyframes highlight {
  from {
    background: yellow;
  }
  
  to {
    background: white;
  }
}
.skip-link:focus {
    top: 0; /* Now the link will appear */
}
.c-skip {
    position: absolute;
    left: 50%;
    top: -2.5em; /* it's better to set this value in relative units, like em */
    padding: 0.75em;
}
/*-- END SKIP TO CONTENT --*/

.welcome {
	text-align:center;
	font-size:1.5em;
	font-weight:700; 
	color:brown;
	margin-top:0.5em;
	margin-bottom:0.5em;
	line-height:1.5em;	
}

hr {
	margin-top:0;
	height: 4px;
	border: 0;
	box-shadow:inset 0 4px 4px -4px rgba(0,0,0,0.5); /*-- 2px 3px 2px 0 rgba(0, 0, 0, 0.25); --*/
	text-align:center;
}

.wrapper, .wraprev {                                /*-- The wrapper around article.left/.right ensures equal height --*/
	float: left;
	width: 100%;
}

article.left {
	margin: 0.25%;
	padding: 5px;
	float: left;
	width:49%;
	text-align: justify;
}

article.right { 
	margin: 0.25%;
	padding: 5px 0 5px 5px;
	float: right;
	width: 49%;
	text-align: justify;
}

.wraprev {										/*-- wraprev reverses the order of <divs>                      --*/ 
    display: flex;								/*-- so that the grey box appears right in the desktop version --*/
    flex-direction: row;
	align-items: flex-start;
}

.wraprev > div {
    width: 100%;
}

article.left {
    order: 2;
}

article.right {
    order: 1;
}

.dtpspacer {         		/*-- lower the vertical text-level of the right column when the left one has a heading --*/
	margin-top: 0;   		/*-- needs individual adjustment in the html; this class will not be shown in the mobile-version --*/
}

article.all {					/*-- if there is no article.left / .right  --*/
	margin: 0.25%;
	padding: 5px 0 5px 5px;
	text-align: justify;
	font-size: 1em;
	line-height: 1.4em;
}

.picr10, .headerpic {
	display: block;
	max-width: 100%;
	margin-left: auto;
	margin-right: auto;
	height: auto;
	-webkit-border-radius: 10px;
	-moz-border-radius: 10px;
	-o-border-radius: 10px;
	-ms-border-radius: 10px;
	-khtml-border-radius: 10px;
	border-radius: 10px;
	border:3px solid #bbb;
}
.headerpic {
	display:inline-block;
	border:none;
}

/*-- Grey boxes and a styled quote --*/

.grey, .green {-webkit-border-radius: 15px; -moz-border-radius: 15px; -o-border-radius: 15px; border-radius: 15px; zoom: 1; border-top: 1px solid #fff; border-bottom: 1px solid #fff; margin-bottom: 0.5em!important;} 
.green {background-color: #EAFFC4;}
.grey {background-color: #EFEFEF;}
.grey p {padding:0 10px;}
.grey h1 {border-bottom: 5px solid #fff; margin-top: -0.1em; padding: 0px 30px; font-size:1.4em; line-height: 1.6em; text-align:center;}

.quote, .quote1 {font-family: Verdana, Arial, sans-serif; font-style: italic; font-size: 1.2em; line-height: 1.4em;}
.quote1 {font-size:1.1em; line-height:1.3em}

/* Use a media query to add a break point at 767px: */
@media screen and (max-width:767px) {
  article.left, article.right {
    width:100%; /* The width is 100%, when the viewport is 767px or smaller */
  }
 }

@media screen and (min-width: 768px) {
	.mobile {
	display: none;
	}
	.mobilespacer {
	display: none;
	}	
}

/*-- NAVIGATION NAV --*/
nav {margin:-0.5em 0 -0.3em -2.5em;}
	nav a {display: none;}						
	
	nav > ul > li {
		display:inline-block;
		padding: 0.4em 0.6em;    	/*-- 0.5em 0.8em --*/			
		background-color: #EFEFEF;  			
		border-radius: 10px;
		border-right: 1px solid #bbb;
		border-bottom: 2px solid #bbb;
		z-index: 1;								
}
	nav ul li a {											
	display: inline-block;
	font-size: 1.1em;
	color: #000000;
	text-decoration: none;
}
	li.first {
		position: relative;
		padding: 0.25em 0.7em;     /*-- 0.5em 0.8em --*/
		background-color: #b65b28;/* fallback for browsers that don´t support gradients */
		background-image: -webkit-gradient(linear, 0% 0%, 0% 100%, from(#edc4ad), to(#b65b28));/* Safari 4+, Chrome 1-9 */
		background-image: -moz-linear-gradient(top, #edc4ad, #b65b28);/* Firefox 3.6+ */
		background-image: -o-linear-gradient(top, #edc4ad, #b65b28);/* Opera 11.10+ */
		background-image: -webkit-linear-gradient(top, #edc4ad, #b65b28);/* Safari 5.1+, Mobile Safari, Chrome 10+ */
		background-image: -ms-linear-gradient(top, #edc4ad, #b65b28);/* IE 10+ */
		border: 1px solid #b65b28;
		border-radius: 5px;
		box-shadow: 0 1px 0 0 #edc4ad inset;
		display: inline-block;                  
	}
		li.first a {									
			font-family:Arial, sans-serif;
			color:#ffffff;
			text-decoration: none;
			text-align: center;
			font-size: 1.1em;
			line-height: 1.5em;    /*-- 1.75 --*/               
			letter-spacing: 1px;
			font-weight: bold;
			text-shadow: 0 1px 0 #424F1C;  
		}
			nav li.first a:visited {
				display: inline-block;
				color: #ffffff; 			
			}
			nav > ul > li.first:hover {						
				background-color: #edc4ad;
				background-image: -webkit-gradient(linear, 0% 0%, 0% 100%, from(#b65b28), to(#edc4ad));
				background-image: -moz-linear-gradient(#b65b28, #edc4ad);
				background-image: -moz-linear-gradient(top, #b65b28, #edc4ad);
				background-image: -o-linear-gradient(top, #b65b28, #edc4ad);
				background-image: -webkit-linear-gradient(top, #b65b28, #edc4ad);
				background-image: -ms-linear-gradient(top, #b65b28, #edc4ad);
				color: #fff;  /*-- font-color WELCOME button --*/
			}
			nav > ul > li.first a.active {
				color: #ffffff;
			}

			nav a:visited {								
				color:#7f7f7f; 							
			}	
			nav > ul > li:hover {						
				background: #eaffc4;
			}
			nav	a.active {								
				font-weight: bold;
				color:brown;							
			}

/*-- adjust the menu so that it fits in 1 line until a min-width of 768px --*/
@media screen and (max-width: 950px) {
	nav > ul > li {
		padding: 0.3em 0.25em;			/*-- 0.5em 0.8em --*/
	}
	nav ul li a {
		font-size: 1em;					/*-- 1.1em  --*/
	}
	li.first {
		padding: 0.2em 0.3em;			/*-- 0.25em 0.6em --*/
	}
	li.first a {
		font-size: 1em;					/*-- 1.1em  --*/
		line-height: 1.65em;			/*-- 1.75em --*/
	}
	nav span:after {
		right: -0.3em;					/*-- -0.5em  --*/
	}
}			
/*-- END OF NAVIGATION NAV --*/

/*-- clearfix::after neu 07.09.2015 --*/	
.clearfix::after
{
	content: '';
	display: table;
	clear: both;
}

/* --- END --- */	